
From: Kumar Gala <galak@freescale.com>

Fight the Good Fight: Limit prom.h header creep.

Signed-off-by: Jon Loeliger <jdl@freescale.com>
Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/platforms/83xx/mpc834x_sys.c        |    1 -
 arch/ppc/platforms/85xx/mpc8540_ads.c        |    1 -
 arch/ppc/platforms/85xx/mpc8560_ads.c        |    1 -
 arch/ppc/platforms/85xx/mpc85xx_ads_common.c |    1 -
 arch/ppc/platforms/85xx/mpc85xx_cds_common.c |    1 -
 arch/ppc/platforms/85xx/sbc8560.c            |    1 -
 arch/ppc/platforms/85xx/sbc85xx.c            |    1 -
 arch/ppc/platforms/85xx/stx_gp3.c            |    1 -
 arch/ppc/syslib/open_pic.c                   |    1 -
 arch/ppc/syslib/open_pic2.c                  |    1 -
 arch/ppc/syslib/ppc83xx_setup.c              |    1 -
 arch/ppc/syslib/ppc85xx_setup.c              |    3 ++-
 12 files changed, 2 insertions(+), 12 deletions(-)

diff -puN arch/ppc/platforms/83xx/mpc834x_sys.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/83xx/mpc834x_sys.c
--- 25/arch/ppc/platforms/83xx/mpc834x_sys.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/83xx/mpc834x_sys.c	2005-06-14 21:19:00.000000000 -0700
@@ -41,7 +41,6 @@
 #include <asm/time.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/ipic.h>
 #include <asm/bootinfo.h>
 #include <asm/pci-bridge.h>
diff -puN arch/ppc/platforms/85xx/mpc8540_ads.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/85xx/mpc8540_ads.c
--- 25/arch/ppc/platforms/85xx/mpc8540_ads.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/mpc8540_ads.c	2005-06-14 21:19:00.000000000 -0700
@@ -41,7 +41,6 @@
 #include <asm/time.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/open_pic.h>
 #include <asm/bootinfo.h>
 #include <asm/pci-bridge.h>
diff -puN arch/ppc/platforms/85xx/mpc8560_ads.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/85xx/mpc8560_ads.c
--- 25/arch/ppc/platforms/85xx/mpc8560_ads.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/mpc8560_ads.c	2005-06-14 21:19:00.000000000 -0700
@@ -41,7 +41,6 @@
 #include <asm/time.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/open_pic.h>
 #include <asm/bootinfo.h>
 #include <asm/pci-bridge.h>
diff -puN arch/ppc/platforms/85xx/mpc85xx_ads_common.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/85xx/mpc85xx_ads_common.c
--- 25/arch/ppc/platforms/85xx/mpc85xx_ads_common.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/mpc85xx_ads_common.c	2005-06-14 21:19:00.000000000 -0700
@@ -36,7 +36,6 @@
 #include <asm/time.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/open_pic.h>
 #include <asm/bootinfo.h>
 #include <asm/pci-bridge.h>
diff -puN arch/ppc/platforms/85xx/mpc85xx_cds_common.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/85xx/mpc85xx_cds_common.c
--- 25/arch/ppc/platforms/85xx/mpc85xx_cds_common.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/mpc85xx_cds_common.c	2005-06-14 21:19:00.000000000 -0700
@@ -42,7 +42,6 @@
 #include <asm/todc.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/open_pic.h>
 #include <asm/i8259.h>
 #include <asm/bootinfo.h>
diff -puN arch/ppc/platforms/85xx/sbc8560.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/85xx/sbc8560.c
--- 25/arch/ppc/platforms/85xx/sbc8560.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/sbc8560.c	2005-06-14 21:19:00.000000000 -0700
@@ -41,7 +41,6 @@
 #include <asm/time.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/open_pic.h>
 #include <asm/bootinfo.h>
 #include <asm/pci-bridge.h>
diff -puN arch/ppc/platforms/85xx/sbc85xx.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/85xx/sbc85xx.c
--- 25/arch/ppc/platforms/85xx/sbc85xx.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/sbc85xx.c	2005-06-14 21:19:00.000000000 -0700
@@ -35,7 +35,6 @@
 #include <asm/time.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/open_pic.h>
 #include <asm/bootinfo.h>
 #include <asm/pci-bridge.h>
diff -puN arch/ppc/platforms/85xx/stx_gp3.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/platforms/85xx/stx_gp3.c
--- 25/arch/ppc/platforms/85xx/stx_gp3.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/platforms/85xx/stx_gp3.c	2005-06-14 21:19:00.000000000 -0700
@@ -46,7 +46,6 @@
 #include <asm/time.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
-#include <asm/prom.h>
 #include <asm/open_pic.h>
 #include <asm/bootinfo.h>
 #include <asm/pci-bridge.h>
diff -puN arch/ppc/syslib/open_pic2.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/syslib/open_pic2.c
--- 25/arch/ppc/syslib/open_pic2.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/syslib/open_pic2.c	2005-06-14 21:19:00.000000000 -0700
@@ -25,7 +25,6 @@
 #include <asm/signal.h>
 #include <asm/io.h>
 #include <asm/irq.h>
-#include <asm/prom.h>
 #include <asm/sections.h>
 #include <asm/open_pic.h>
 #include <asm/i8259.h>
diff -puN arch/ppc/syslib/open_pic.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/syslib/open_pic.c
--- 25/arch/ppc/syslib/open_pic.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/syslib/open_pic.c	2005-06-14 21:19:00.000000000 -0700
@@ -21,7 +21,6 @@
 #include <asm/signal.h>
 #include <asm/io.h>
 #include <asm/irq.h>
-#include <asm/prom.h>
 #include <asm/sections.h>
 #include <asm/open_pic.h>
 #include <asm/i8259.h>
diff -puN arch/ppc/syslib/ppc83xx_setup.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/syslib/ppc83xx_setup.c
--- 25/arch/ppc/syslib/ppc83xx_setup.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/syslib/ppc83xx_setup.c	2005-06-14 21:19:00.000000000 -0700
@@ -23,7 +23,6 @@
 #include <linux/serial_core.h>
 #include <linux/serial_8250.h>
 
-#include <asm/prom.h>
 #include <asm/time.h>
 #include <asm/mpc83xx.h>
 #include <asm/mmu.h>
diff -puN arch/ppc/syslib/ppc85xx_setup.c~ppc32-remove-some-unnecessary-includes-of-promh arch/ppc/syslib/ppc85xx_setup.c
--- 25/arch/ppc/syslib/ppc85xx_setup.c~ppc32-remove-some-unnecessary-includes-of-promh	2005-06-14 21:19:00.000000000 -0700
+++ 25-akpm/arch/ppc/syslib/ppc85xx_setup.c	2005-06-14 21:19:00.000000000 -0700
@@ -23,7 +23,6 @@
 #include <linux/serial_core.h>
 #include <linux/serial_8250.h>
 
-#include <asm/prom.h>
 #include <asm/time.h>
 #include <asm/mpc85xx.h>
 #include <asm/immap_85xx.h>
@@ -33,6 +32,8 @@
 
 #include <syslib/ppc85xx_setup.h>
 
+extern void abort(void);
+
 /* Return the amount of memory */
 unsigned long __init
 mpc85xx_find_end_of_memory(void)
_
